Notice: We have migrated to GitLab launching 2024-05-01 see here: https://gitlab.rtems.org/

#3844 closed task (fixed)

Remove CONFIGURE_HAS_OWN_DEVICE_DRIVER_TABLE

Reported by: Sebastian Huber Owned by: Sebastian Huber
Priority: normal Milestone: 5.1
Component: config Version: 5
Severity: normal Keywords: qualification
Cc: Blocked By:
Blocking:

Description

Remove the CONFIGURE_HAS_OWN_DEVICE_DRIVER_TABLE configuration option. The RTEMS configuration should be done via explicit configuration options to allow more freedom for implementation changes. The CONFIGURE_HAS_OWN_DEVICE_DRIVER_TABLE configuration option had no test case. There was an attempt to get user feedback about this option:

https://lists.rtems.org/pipermail/users/2019-April/033131.html

Change History (3)

comment:1 Changed on 12/19/19 at 07:55:51 by Sebastian Huber <sebastian.huber@…>

In [changeset:"e6f2b545f15fb6fe9d82cb12d40c6b761fac9d48/rtems" e6f2b54/rtems]:

config: CONFIGURE_HAS_OWN_DEVICE_DRIVER_TABLE

Remove CONFIGURE_HAS_OWN_DEVICE_DRIVER_TABLE.

Update #3844.

comment:2 Changed on 12/19/19 at 07:57:45 by Sebastian Huber <sebastian.huber@…>

Resolution: fixed
Status: assignedclosed

In [changeset:"89e23dab4332fab8361bd387c339e3c596a15ed4/rtems-docs" 89e23da/rtems-docs]:

c-user: CONFIGURE_HAS_OWN_DEVICE_DRIVER_TABLE

Remove CONFIGURE_HAS_OWN_DEVICE_DRIVER_TABLE.

Close #3844.

comment:3 Changed on 06/23/21 at 07:16:03 by Sebastian Huber

Keywords: qualification added
Note: See TracTickets for help on using tickets.